Start Verification

Use this endpoint to create a new user verification or reverify an existing user.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use this API to specify your metamap for your verifications.

The request body can also include metadata so you can use your own internal references to identify your users and requests. Send metadata for every webhook. The metadata should have a maximum size of ≦4Kb and be only one level deep.


Example Request

The following is an example request with metadata:

curl --location --request POST 'https://api.prod.metamap.com/v2/verifications' \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer <YOUR_METAMAP_ACCESS_TOKEN>" \
-d '{
        "flowId": "<YOUR_METAMAP_FLOW_ID>",
        "metadata": {
            "user": "JOHN DOE",
            "id": "123e4567-e89b-12d3-a456-426614174000"
        }
    }'
Body Params
string
required

Your flowId can be found in the Metamap dashboard under "Integrations".

json
Defaults to { "user-defined-1" : "abcde", "user-defined-2" : "12345" }

Use the metadata parameter to add internal references.

Headers
string
required

WARNING: This header is only used for demonstration purposes on this site and is not necessary when using the MetaMap SDKs or tools such as Postman.

Response

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json